import java.awt.Dimension;
import javax.swing.JButton;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JList;
import javax.swing.JPanel;
import javax.swing.JScrollPane;
import javax.swing.JTextField;
import javax.swing.JTree;
import javax.swing.SwingUtilities;
import javax.swing.UIManager;

public class WindowsLookAndFeelDemo {

    private static void constructGUI() {
        JLabel label = new JLabel("Label");
        JTextField field = new JTextField(20);
        field.setText("Hello world!");
        String[] data = new String[] {"Restaurants", 
                "Bookstores", "Hospitals"};
        JList list = new JList(data);
        JScrollPane listPane = new JScrollPane(list);
        listPane.setPreferredSize(new Dimension(250, 100));
        JTree tree = new JTree();
        JScrollPane treePane = new JScrollPane(tree);
        treePane.setPreferredSize(new Dimension(250, 100));
        JButton button = new JButton("Click me");
        JPanel cp = new JPanel();
        cp.add(label);
        cp.add(field);
        cp.add(listPane);
        cp.add(treePane);
        cp.add(button);
        JFrame frame = new JFrame();
        frame.setTitle("GTK Look and Feel Demo");
        frame.setPreferredSize(new Dimension(280, 300));
        frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        frame.setContentPane(cp);
        frame.pack();
        frame.setVisible(true);
    }
    
    public static void main(String[] args) {
        // Set the look and feel 
        try {
            UIManager.setLookAndFeel(
                    "com.sun.java.swing.plaf.gtk.GTKLookAndFeel");
        } catch (Exception e) {
            e.printStackTrace();
        }
        SwingUtilities.invokeLater(new Runnable() {
            public void run() {
                constructGUI();
            }
        });
    }
}
